gnutls_pubkey_import_dh_raw(3)

NAME
gnutls_pubkey_import_dh_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_import_dh_raw(gnutls_pubkey_t key, const gnutls_dh_params_t params, const gnutls_datum_t * y);

ARGUMENTS

gnutls_pubkey_t key
    The structure to store the parsed key

const gnutls_dh_params_t params
    holds the gnutls_dh_params_t

const gnutls_datum_t * y
    holds the y

DESCRIPTION
This function will convert the given Diffie-Hellman raw parameters to the native gnutls_pubkey_t format. The output will be stored in key .

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.8.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/